Skip to main content
POST
/
api
/
v2
/
inbox-placement-analytics
/
stats-by-test-id
Retrieve inbox placement analytics stats by test id
curl --request POST \
  --url https://api.instantly.ai/api/v2/inbox-placement-analytics/stats-by-test-id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "test_ids": [
    "019cc043-e36c-71ca-84c2-76fc5b943d3f"
  ]
}
'
[
  {
    "test_id": "019cc043-e36c-71ca-84c2-76fdf5935c50",
    "count": 1,
    "spam_count": 1,
    "spam_percent": 1,
    "inbox_count": 1,
    "inbox_percent": 1,
    "category_count": 1,
    "category_percent": 1
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
test_ids
string<uuid>[]
required
Minimum array length: 1
date_from
string
Example:

"2026-03-05T23:10:00.556Z"

date_to
string
Example:

"2026-03-05T23:10:00.556Z"

recipient_geo
enum<number>[]
Available options:
1,
2,
3,
4
Example:
[1]
recipient_type
enum<number>[]
Available options:
1,
2
Example:
[1]
recipient_esp
enum<number>[]
Available options:
1,
2,
12,
13
Example:
[1, 2]
sender_email
string
Example:

"john@doe.com"

Response

Default Response

test_id
string<uuid>
required
Example:

"019cc043-e36c-71ca-84c2-76fdf5935c50"

count
number
required
Example:

1

spam_count
number
required
Example:

1

spam_percent
number
required
Example:

1

inbox_count
number
required
Example:

1

inbox_percent
number
required
Example:

1

category_count
number
required
Example:

1

category_percent
number
required
Example:

1